# $Revision: 1.21 $, $Date: 2007-10-23 21:30:19 $
Summary:	Utilities and test programs for the Linux sg version 3 device driver
Summary(pl.UTF-8):	Programy narzędziowe i testowe dla linuksowego sterownika sg w wersji 3
Name:		sg3_utils
Version:	1.25
Release:	1
License:	GPL (utilities), BSD (library)
Group:		Applications/System
Source0:	http://sg.torque.net/sg/p/%{name}-%{version}.tgz
# Source0-md5:	9fec4d8f3f6c8b3d2da79fc17cc2d387
URL:		http://sg.torque.net/sg/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains some utilities and test programs for the Linux
sg (version 3) device driver. This driver is found in the Linux 2.4+
kernels.

%description -l pl.UTF-8
Ten pakiet zawiera trochę programów narzędziowych i testowych dla
sterownika urządzeń sg w wersji 3. Ten sterownik jest obecny w jądrach
Linuksa 2.4+.

%package devel
Summary:	Header files for sgutils library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki sgutils
License:	BSD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for sgutils library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki sgutils.

%package static
Summary:	Static sgutils library
Summary(pl.UTF-8):	Statyczna biblioteka sgutils
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of sgutils library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki sgutils.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING COVERAGE CREDITS ChangeLog README README.sg_start
%attr(755,root,root) %{_bindir}/sg*
%attr(755,root,root) %{_libdir}/libsgutils.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsgutils.so.1
%{_mandir}/man8/sg*.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsgutils.so
%{_libdir}/libsgutils.la
%{_includedir}/scsi/sg_*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsgutils.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sg3_utils.spec,v $
Revision 1.21  2007-10-23 21:30:19  qboosh
- updated to 1.25 release
- removed obsolete make patch
- package soname symlink as ghost

Revision 1.20  2007/05/14 19:33:36  qboosh
- updated to 1.24 release

Revision 1.19  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.17  2007/02/01 10:51:30  qboosh
- updated to 1.23

Revision 1.16  2006/10/20 08:10:30  qboosh
- updated to 1.22 release

Revision 1.15  2006/07/10 20:35:04  qboosh
- updated to 1.21

Revision 1.14  2006/04/22 18:28:41  qboosh
- updated from 20060222 snapshot to final 1.20
- release 2

Revision 1.13  2006/02/27 21:11:41  qboosh
- updated to 1.20, removed outdated llh patch

Revision 1.12  2005/12/28 19:22:58  qboosh
- updated to 1.19, updated make patch, added llh patch

Revision 1.11  2005/10/30 17:04:08  qboosh
- updated to 1.18

Revision 1.10  2005/09/02 20:52:55  qboosh
- updated to 1.17

Revision 1.9  2005/08/13 17:09:15  qboosh
- updated to 1.16, updated make patch

Revision 1.8  2005/05/22 15:26:39  qboosh
- updated to 1.15, updated make patch

Revision 1.7  2005/04/23 23:33:03  qboosh
- updated to 1.14, updated make patch

Revision 1.6  2005/03/28 18:44:12  qboosh
- updated to 1.13

Revision 1.5  2004/12/26 12:04:08  qboosh
- updated to 1.12

Revision 1.4  2004/11/06 19:03:32  qboosh
- updated to 1.11 (now with library), updated make patch

Revision 1.3  2004/06/27 19:47:43  qboosh
- updated to 1.07

Revision 1.2  2003/12/02 22:04:45  qboosh
- updated to 1.06

Revision 1.1  2003/09/04 22:14:22  qboosh
- new
